<template>
	<view class="content">

		<!-- 自定义导航 -->
		<view class="zdyNavBox">
			<view class="status_bar" :style="{height: iStatusBarHeight + 'px'}"></view>
			<view class="zdyNav">
				<view class="zdyNavLeft">
					<div @click="goback" class="uni-page-head-btn"><i class="uni-btn-icon"
							style="color: rgb(0, 0, 0); font-size: 27px;"></i></div>

				</view>
				<view class="zdyNavTitle">车型件</view>
				<view v-if="param.length != 0" class="zdyNavRight" @click="goOemSearch()">OEM搜索</view>
				<view v-else style="width: 120rpx;"></view>

			</view>
		</view>
		<view class="status_bar" :style="{height: iStatusBarHeight + 'px'}"></view>
		<view style="height: 44px;"></view>


		<view v-if="type != 2" class="top">
			<view class="topCont">
				<view class="carBox">
					<!-- <image src="../../static/img/nocar.png" mode="" class="carLogo"></image> -->
					<view class="carTxt" v-if="!description">{{brand_name}}</view>
					<view class="carTxt" v-if="description">{{description}}</view>
					<!-- <image src="../../static/img/jt.png" mode="" class="carJt"></image> -->
				</view>
				<view class="vinBox">
					<view class="vinBox2">
						<view class="vinB">VIN</view>
						<view class="vinNum">{{vin}}</view>
					</view>
					<view v-if="chexingMesList.length != 0" class="vinBox2">
						<view class="detail" @click="goCarDetail()">车型详情</view>
						<image src="../../static/img/icon_arrow_blue_r@2x.png" mode=""
							style="width: 24rpx; height: 24rpx"></image>
					</view>
				</view>
			</view>
		</view>
		<view v-else class="top">
			
				<view class="carBox2">
					<view class="carTxt2" v-if="!description">{{brand_name}}</view>
					<view class="carTxt2" v-if="description">{{description}}</view>
				</view>

		</view>
		<!--车辆配置  -->
		<view class="mainBox" v-if="restrainShow">
			<view class="maintitle">{{caption}}</view>
			<view class="mainLine" v-for="(item,index) in restrains" @click="restrainsClick(item)">
				<view class="lineName">{{item.combine_cp}}</view>
				<image src="../../static/img/jt.png" mode="" class="mainLineJt"></image>
			</view>
		</view>
		<!-- 总组 -->
		<view class="mainBox" v-if="groupShow">
			<view class="maintitle">{{caption}}</view>
			<view class="mainLine" v-for="(item,index) in zlist" @click="goTwo(item)">
				<view class="lineName">{{item.caption}}</view>
				<image src="../../static/img/jt.png" mode="" class="mainLineJt"></image>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				vin: '',
				iStatusBarHeight: '',
				restrains: '',
				zlist: '',
				brand_name: '',
				brand_id: '',
				access_time: '',
				zzTime: '',
				caption: '',
				restrainShow: false,
				groupShow: false,
				param: '',
				token: '',
				epc_id: '',
				chexingMesList: [],
				chexing: '',
				description: '',
				type: '',
			}
		},
		onLoad(opt) {
			this.iStatusBarHeight = uni.getSystemInfoSync().statusBarHeight;
			if (opt.type == 2) {
				this.type = 2
				this.token = opt.token;
				this.param = opt.param;
				this.access_time = opt.access_time;
				this.epc_id = opt.epc_id;
				this.description = opt.modelname;
				//车型点选
				this.getModelGroup()
			} else {
				this.vin = opt.vin
				this.getData()
			}

		},
		methods: {
			getModelGroup() {
				uni.showLoading({
					title: '加载中'
				});
				this.$http('advancedEpc/getModelGroup', {
					token: this.token,
					param: this.param,
					epc_id: this.epc_id,
					access_time: this.access_time
				}, 'GET').then(res => {
					uni.hideLoading();
					//console.log(res.data.number);
					if (res.data.number == 200 || res.data.number == 5212) {
						this.brand_name = res.data.result.brand_name;
						this.brand_id = res.data.result.brand_id;
						this.access_time = res.data.result.access_time;
						this.caption = res.data.result.caption
						this.epc_id = res.data.result.epc_id;

						if (res.data.result.restrains.length > 0) {
							this.restrains = res.data.result.restrains;
							this.restrainShow = true;

						} else {
							this.zzTime = res.data.result.access_time;
							this.zlist = res.data.result.list;
							this.restrainShow = false;
							this.groupShow = true;
							this.token = res.data.result.list[0].token;
							this.param = res.data.result.list[0].param;
							if (res.data.result.vehicle.description) {
								this.description = res.data.result.vehicle.description
							}
						}
						if (Object.keys(res.data.result.vehicle).length != 0) {
							this.chexingMesList = res.data.result.vehicle.tree;
							this.chexing = res.data.result.vehicle.description;
						}
					} else {

						uni.showToast({
							title: res.data.message,
							icon: 'none',
							duration: 3000
						});
					}

				});
			},
			getData() {
				uni.showLoading({
					title: '加载中'
				});
				this.$http('advancedEpc/getVinGroup', {
					vin: this.vin,

				}, 'GET').then(res => {
					uni.hideLoading();
					//console.log(res.data.number);
					if (res.data.number == 200 || res.data.number == 5212) {
						this.brand_name = res.data.result.brand_name;
						this.brand_id = res.data.result.brand_id;
						this.access_time = res.data.result.access_time;
						this.caption = res.data.result.caption
						this.epc_id = res.data.result.epc_id;

						if (res.data.result.restrains.length > 0) {
							this.restrains = res.data.result.restrains;
							this.restrainShow = true;

						} else {
							this.zzTime = res.data.result.access_time;
							this.zlist = res.data.result.list;
							this.restrainShow = false;
							this.groupShow = true;
							this.token = res.data.result.list[0].token;
							this.param = res.data.result.list[0].param;
							if (res.data.result.vehicle.description) {
								this.description = res.data.result.vehicle.description
							}
						}
						if (Object.keys(res.data.result.vehicle).length != 0) {
							this.chexingMesList = res.data.result.vehicle.tree;
							this.chexing = res.data.result.vehicle.description;
						}
					} else {

						uni.showToast({
							title: res.data.message,
							icon: 'none',
							duration: 3000
						});
					}

				});
			},
			restrainsClick(item) {
				this.param = item.param;
				this.token = item.token;

				this.getcarVinGroup()
			},

			getcarVinGroup() {
				uni.showLoading({
					title: '加载中'
				});
				this.$http('advancedEpc/getVinGroup', {
					vin: this.vin,
					access_time: this.access_time,
					param: this.param,
					token: this.token
				}, 'GET').then(res => {
					uni.hideLoading();
					//console.log(res.data.number);
					if (res.data.number == 200 || res.data.number == 5212) {
						this.brand_name = res.data.result.brand_name;
						this.access_time = res.data.result.access_time;
						this.caption = res.data.result.caption
						if (res.data.result.restrains.length > 0) {
							this.restrains = res.data.result.restrains;
							this.restrainShow = true;
							this.token = res.data.result.restrains[0].token;
							this.param = res.data.result.restrains[0].param;
						} else {
							this.token = res.data.result.list[0].token;
							this.param = res.data.result.list[0].param;
							this.zzTime = res.data.result.access_time;
							this.zlist = res.data.result.list;
							this.restrainShow = false;
							this.groupShow = true;
							if (res.data.result.vehicle.description) {
								this.description = res.data.result.vehicle.description
							}
						}

						if (Object.keys(res.data.result.vehicle).length != 0) {
							this.chexingMesList = res.data.result.vehicle.tree;
							this.chexing = res.data.result.vehicle.description;
						}
					} else {
						uni.showToast({
							title: res.data.message,
							icon: 'none',
							duration: 3000
						});
					}

				});
			},
			goCarDetail() {
				var that = this;
				uni.setStorage({
					key: 'chexing',
					data: that.chexing,
					success: function() {

						uni.setStorage({
							key: 'chexingMesList',
							data: that.chexingMesList,
							success: function() {
								uni.navigateTo({
									url: 'CarDetail'
								})
							}
						});
					}
				});


			},
			goOemSearch() {
				uni.navigateTo({
					url: 'OemSearch?brand=' + this.brand_name + '&epc_id=' + this.epc_id + '&vin=' + this.vin +
						'&param=' + this.param +
						'&token=' + this.token + '&access_time=' + this.access_time
				})
			},
			goback() {
				console.log('返回');
				uni.navigateBack({})
			},
			goTwo(item) {
				var that = this;
				uni.setStorage({
					key: 'chexing',
					data: that.chexing,
					success: function() {

						uni.setStorage({
							key: 'chexingMesList',
							data: that.chexingMesList,
							success: function() {
								uni.navigateTo({
									url: 'modelTwo?vin=' + that.vin + '&zzTime=' + that
										.zzTime + '&param=' + item.param +
										'&token=' + item.token + '&epc_id=' + that.epc_id +
										'&description=' + that.description + '&type=' + that.type
								})
							}
						});
					}
				});

			}
		}
	}
</script>

<style scoped>
	.content {
		background: #F4F5F7;
		min-height: 100vh;
		padding-bottom: constant(safe-area-inset-bottom);
		padding-bottom: env(safe-area-inset-bottom);
	}

	.zdyNavBox {
		width: 100vw;
		background: #FFFFFF;
		position: fixed;
		top: 0;
		left: 0;
		z-index: 9999999;

	}

	.zdyNav {
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 14rpx 6rpx;
	}

	.zdyNavLeft {
		width: 120rpx;
	}

	.zdyNavTitle {
		background: #FFFFFF;
		text-align: center;
		font-size: 32rpx;
		font-weight: bold;
	}

	.zdyNavRight {
		background: #FFFFFF;
		text-align: center;
		font-size: 28rpx;
		color: #3F90F7;
		width: 120rpx;
	}





	.top {
		padding: 20rpx 0;
	}

	.topCont {
		width: 750rpx;
		height: 160rpx;
		background: #FFFFFF;

	}

	.carLogo {
		width: 72rpx;
		height: 72rpx;
	}

	.carTxt {
		font-size: 28rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #333333;
		line-height: 36rpx;
		width: 606rpx;

	}

	

	.carJt {
		width: 25rpx;
		height: 24rpx;
		margin-top: 6rpx;
	}

	.carBox {
		display: flex;
		justify-content: space-between;
		padding: 30rpx 24rpx 24rpx 34rpx;
	}
	.carBox2{
		background-color: #FFFFFF;
		padding: 30rpx 24rpx;
	}
	.carTxt2 {
		font-size: 28rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #333333;
		line-height: 36rpx;
		/* width: 606rpx; */
		height: 75rpx;
		/* 隐藏文字显示 ...超过2行省略 */
		overflow: hidden;
		-webkit-line-clamp: 2;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-box-orient: vertical;
	}
	.vinBox {
		display: flex;
		justify-content: space-between;
		padding-left: 34rpx;
		padding-right: 24rpx;
	}

	.vinBox2 {
		display: flex;
		align-items: center;
	}

	.detail {
		color: #3F90F7;
		font-size: 24rpx;
		margin-right: 10rpx;
	}

	.vinB {
		background: #F19D01;
		width: 60rpx;
		height: 30rpx;
		text-align: center;
		line-height: 30rpx;
		color: #FFFFFF;
		font-size: 22rpx;
		border-radius: 5rpx;
	}

	.vinNum {
		color: #999999;
		font-size: 24rpx;
		line-height: 30rpx;
		padding-left: 10rpx;
	}

	.mainBox {
		background: #FFFFFF;
	}

	.maintitle {
		font-size: 28rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #333333;
		text-align: center;
		line-height: 88rpx;
		border-bottom: 1px solid #EEEEEE;
	}

	.mainLineJt {
		width: 25rpx;
		height: 24rpx;
		margin-top: 8rpx;
	}

	.mainLine {
		display: flex;
		justify-content: space-between;
		border-bottom: 1px solid #EEEEEE;
		padding: 24rpx;
	}

	.lineName {
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #333333;
		line-height: 40rpx;
	}
</style>
